#
# spec file for package irssi (Version 0.8.10)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org
#

# norootforbuild
# neededforbuild  expat glib glib-devel glib2 glib2-devel gnome-filesystem libapr0 libstdc++ libxml2 lynx neon openssl-devel pkgconfig subversion

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils expat gcc gdbm gettext glib glib-devel glib2 glib2-devel gnome-filesystem libapr0 libtool libxml2 lynx neon openssl-devel perl pkgconfig rpm subversion

Name:         irssi
License:      GPL
Group:        Productivity/Networking/IRC
Requires:     perl = %perl_version
Autoreqprov:  on
Version:      0.8.10
Release:      1
Summary:      A Modular, Secure, and Well Designed IRC Client
URL:          http://www.irssi.org
Source:       %{name}-%{version}.tar.bz2
Patch:        %{name}-0.8.10rc5-install_vendor.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Irssi is a modular IRC client for UNIX that currently only has a text
mode user interface. However, 80-90% of the code is not text mode
specific, so other UIs could be created pretty easily. Also, Irssi is
not really even IRC specific anymore. There are already working SILC
and ICB modules available. Support for other protocols like ICQ and
Jabber could be added some day too.

What separates Irssi from ircII, BitchX, epic, and the rest of the text
clients? The code. It is not using the ircII code.



Authors:
--------
    Timo Sirainen <cras@irssi.org>

%package devel
Summary:      irssi-devel
Group:        Development/Libraries/C and C++
Requires:     %{name}

%description devel
irssi-devel

%prep
%setup
%patch

%build
# cp curses.m4 acinclude.m4
# NOCONFIGURE=yes ./autogen.sh
%configure              \
		--with-plugins  \
		--enable-ipv6   \
		--with-bot      \
		--with-proxy    \
		--with-socks    \
		--with-glib2    \
		--enable-ssl    \
		--with-ncurses  \
		--with-terminfo \
		--with-perl=yes \
		--with-perl-lib=vendor
%{__make} all

%install

%makeinstall docdir=%{_docdir}/%{name}
%perl_process_packlist

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_sysconfdir}/irssi.conf
%{_bindir}/botti
%{_bindir}/irssi
# modules
%dir %{_libdir}/irssi
%dir %{_libdir}/irssi/modules
%{_libdir}/irssi/modules/*.so*
# scripts & themes
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
#perl
%dir %perl_vendorarch/Irssi
%perl_vendorarch/Irssi.pm
%perl_vendorarch/Irssi/*
%perl_vendorarch/auto/Irssi
/var/adm/perl-modules/irssi
# docs
%dir %_defaultdocdir/irssi
%docdir %_defaultdocdir/irssi/
%doc %_defaultdocdir/irssi/*
%doc %_mandir/man1/*

%files devel
%defattr(-,root,root)
%{_includedir}/irssi/
%{_libdir}/irssi/modules/*.*a

%changelog -n irssi
* Sun Dec 11 2005 - mrueckert@suse.de
- 0.8.10 is final!
  o Recode support
  o Isupport (005 numeric)
  o Passive DCC support.
  o Many memleak fixes.
  o Network specific ignoring.
  o Updated internal error handling.
  o Complete 64bit support.
  o Revised default aliases.
  o Updated paste detection and settings.
  o Tons of bugfixes.
* Wed Nov 30 2005 - mrueckert@suse.de
- Update to 0.8.10rc8
- disabled the irssi.conf patch
* Tue Nov 22 2005 - mrueckert@suse.de
- Update to 0.8.10rc7
* Sun Sep 25 2005 - mrueckert@suse.de
- Update to 0.8.10rc6
* Thu Sep 08 2005 - mrueckert@suse.de
- Update to r3986
* Tue Sep 06 2005 - mrueckert@suse.de
- Update to r3983
* Mon Aug 22 2005 - mrueckert@suse.de
- Update to r3942
* Thu Jun 02 2005 - mrueckert@suse.de
- update to version 0.8.10rc5 (r3756)
  o many memory leaks fixed
  o recode support
  | you can now specify incoming/outgoing charset per channel/query
  o many small bug fixes
* Fri Apr 01 2005 - mmj@suse.de
- #include "../config.h" instead of "config.h" (thanks for the
  help coolo)
* Wed Mar 17 2004 - mmj@suse.de
- Default the terminal type setting to UTF8.
* Thu Dec 11 2003 - mmj@suse.de
- Update to 0.8.9 including:
  o Fixes a remote crash with:
  | non-x86 hardware (one requiring memory alignmentation)
  | script using "gui print text" signal (with x86 hardware too)
  o SET auto_whowas OFF allows now disabling automatic /whowas
  o If pasted line starts with command char, treat it as command
  always
* Mon Nov 24 2003 - mmj@suse.de
- Update to 0.8.8 including:
  o Settings changes - we have now "time", "size" and "level"
  setting types.
  o Pasting detection. All keys except CR and LF are pasted as-is
  into prompt in pasting mode.
  o If pasting more lines than /SET paste_verify_line_count,
  irssi asks if you actually want to do that.
  o Support for sending SSL certificate to server
  o Other minor enhancements bugfixes
* Wed Oct 15 2003 - mmj@suse.de
- Use %%defattr
- Don't build as root
* Fri Sep 05 2003 - sf@suse.de
- remove '-g -W' from compile options
* Fri Sep 05 2003 - sf@suse.de
- patch for 64bit [Bug 24861]
* Wed Aug 20 2003 - mjancar@suse.cz
- require the perl version we build with
* Mon Aug 04 2003 - mmj@suse.de
- Patch to use install_vendor with perl
* Sun Jul 27 2003 - mmj@suse.de
- Add gnome-filesystem to nfb
* Mon Jul 14 2003 - mmj@suse.de
- Use vendor_install and friends
- Clean up the specfile a bit
* Tue May 13 2003 - mmj@suse.de
- Remove files that should not be packaged
* Mon May 12 2003 - mmj@suse.de
- Also package the manpage
* Mon Apr 07 2003 - mmj@suse.de
- head -1 have to be head -n 1 with the new coreutils.
* Mon Jan 13 2003 - mmj@suse.de
- Also package the Irssi.pm file
* Tue Nov 19 2002 - mmj@suse.de
- Update to 0.8.6 which includes tons of changes, biggest ones:
  + SSL support
  + DCC send queues
  + Better support for !channels
- Switch to glib2
* Mon Sep 23 2002 - mmj@suse.de
- Make perl_use_lib not be in BuildRoot:
* Tue Aug 13 2002 - mmj@suse.de
- Apply patch from mls for the Perl 5.8 threading enabled.
* Mon Jul 22 2002 - mmj@suse.de
- Initial package created, version 0.8.5
